#!/bin/bash

# Download the man-pages and doclifter source code.

mkdir -p source
[ -f source/man-pages-* ] ||
(cd source && wget http://kernel.org/pub/linux/docs/manpages/man-pages-2.64.tar.gz)
[ -f source/doclifter-* ] ||
  (cd source &&
   wget http://thyrsus.com/hg/doclifter/archive/tip.tar.gz &&
   mv tip.tar.gz doclifter-tip.tar.gz
  )

# Build man-pages into "mantemp"

rm -rf mantemp man-pages-* &&
tar xvzf source/man-pages-*.tar.gz &&
cd man-pages-* &&
make MANDIR=../mantemp allgz &&
cd .. &&
rm -rf man-pages-* &&

# Run doclifter on the man pages.

rm -rf doclifter-* &&
tar xvzf source/doclifter-*.tar.gz &&
cd doclifter-* &&
./manlifter -I `pwd`/../mantemp `cd ..;ls mantemp | sed -re 's/man([0-9]p?)/-s \1/g'` -h

# Fix up symlinks
../../fixlinks.py `find xmlman -type l`

# Install result
rm -rf ~/www/kdocs/xmlman
mv xmlman ~/www/kdocs
